mail_handle.rb tries to run .match on an array

2009-12-31 18:41 - Erik Ordway

Status: Closed Start date: 2009-12-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

use to_s and not to_a as arrays do not have .match

/app/models/mail_handler.rb

@@ -94,9 +95,9 @@

       else

         # ignoring it

       end

-    elsif m = email.subject.match(ISSUE_REPLY_SUBJECT_RE)

+    elsif m = email.subject.to_s.match(ISSUE_REPLY_SUBJECT_RE)

       receive_issue_reply(m[1].to_i)

-    elsif m = email.subject.match(MESSAGE_REPLY_SUBJECT_RE)

+    elsif m = email.subject.to_s.match(MESSAGE_REPLY_SUBJECT_RE)

       receive_message_reply(m[1].to_i)

     else

       receive_issue

History

#1 - 2010-01-03 11:26 - Jean-Philippe Lang

Please provide a failing test.

#2 - 2010-01-17 11:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to No feedback
